# Uses of Class
org.apache.lucene.analysis.CharFilterFactory

Packages that use CharFilterFactory
Package
Description
org.apache.lucene.analysis
Text analysis.

- ## Uses of CharFilterFactory in org.apache.lucene.analysis

  Methods in org.apache.lucene.analysis that return CharFilterFactory
  Modifier and Type
  Method
  Description
  `static CharFilterFactory`
  CharFilterFactory.`forName(String name, Map<String,String> args)`
  looks up a charfilter by name from context classpath
  Methods in org.apache.lucene.analysis that return types with arguments of type CharFilterFactory
  Modifier and Type
  Method
  Description
  `static Class<? extends CharFilterFactory>`
  CharFilterFactory.`lookupClass(String name)`
  looks up a charfilter class by name from context classpath
  Method parameters in org.apache.lucene.analysis with type arguments of type CharFilterFactory
  Modifier and Type
  Method
  Description
  `static String`
  CharFilterFactory.`findSPIName(Class<? extends CharFilterFactory> serviceClass)`
  looks up a SPI name for the specified char filter factory